=== debian/control ===
Source: zenith
Section: utils
Priority: optional
Maintainer: Benjamin Vaisvil <ben@neuon.com>
Uploaders: Sumedh Wale <sumwale@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.2.0
Homepage: https://github.com/bvaisvil/zenith
Vcs-Browser: https://github.com/bvaisvil/zenith
Vcs-Git: https://github.com/bvaisvil/zenith.git

Package: zenith
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libnvidia-ml1 | nvidia-driver-binary
Description: process and system monitoring tool
 In terminal graphical metrics for your *nix system written in Rust.
 .
 Zenith is like top or htop but with zoom-able charts for CPU,
 GPU (NVIDIA only), network, and disk usage in addition to process listing.
 .
 This package contains binaries built with NVIDIA Graphics card support
 as well as without. The "zenith" wrapper shell script chooses the
 appropriate binary to run depending on NVIDIA support at runtime.
